import { PageContainer, WxCpNotifyConfig } from '@/components';
import { ProCard } from '@ant-design/pro-components';
import { useState } from 'react';

export default function Page() {
	const [activeKey, setActiveKey] = useState<string>('1');

	return (
		<PageContainer
			permission={'MDB_BUSINESS_MINI_PROGRAM_CONFIG'}
			fieldProps={{
				tabActiveKey: activeKey,
				onTabChange: (activeKey) => {
					setActiveKey(activeKey);
				},
				tabList: [
					{
						key: '1',
						tab: '企业微信通知配置',
					},
				],
			}}
		>
			{activeKey === '1' && (
				<ProCard>
					<WxCpNotifyConfig />
				</ProCard>
			)}
		</PageContainer>
	);
}
